package NewsFeedPublisher.ws;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Logger;

import NewsFeedPublisher.data.NewsItem;
import NewsFeedPublisher.data.NewsItemDAO;

public class UnpublishNewsItemService extends HttpServlet {
	
	Logger logger = Logger.getLogger(this.getClass());
	
	protected void doGet(HttpServletRequest req, HttpServletResponse resp)  throws ServletException, IOException {
		
		logger.debug("doGet unpublish");
		String id = req.getParameter("id");
		NewsItemDAO newsItemDAO = new NewsItemDAO();
		NewsItem newsItem = newsItemDAO.find(new Long(id));
		if(newsItem != null)
			newsItemDAO.delete(newsItem);
	}
}